Zum Hauptinhalt springen

Change your password

PUT/v2/users/self/credentials/password
API-Version
v2
Request-Methode
PUT
Operation-ID
user-change-password

Request​

Responses​

Format
application/json
Beschreibung

Your password has been changed.

  • expiresstring (date-time)required

    The expiration date of the token.

  • refreshTokenstringrequired

    Refresh token to refresh your access token even after it has expired.

  • tokenstringrequired

    Public token to identify yourself against the api gateway.

Content-Type: application/json

{
"expires": "1985-10-26T01:21:00.000Z",
"refreshToken": "string",
"token": "string"
}
{
"properties": {
"expires": {
"description": "The expiration date of the token.",
"format": "date-time",
"type": "string"
},
"refreshToken": {
"description": "Refresh token to refresh your access token even after it has expired.",
"type": "string"
},
"token": {
"description": "Public token to identify yourself against the api gateway.",
"type": "string"
}
},
"required": [
"token",
"expires",
"refreshToken"
],
"type": "object"
}

Format
application/json
Beschreibung

An additional second factor code is necessary to process the request.

  • *
Content-Type: application/json

null
{
"allOf": [
{
"properties": {
"info": {
"description": "A json object, given further information about the error",
"type": "object"
},
"message": {
"description": "Some more detailed information about the error",
"type": "string"
},
"name": {
"description": "Unique key for the error type",
"type": "string"
}
},
"required": [
"name",
"message"
],
"type": "object"
},
{
"properties": {
"name": {
"enum": [
"SecondFactorRequired"
],
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
]
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"multiFactorCode":"123456","newPassword":"string","oldPassword":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/self/credentials/password
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.changePassword({
"data": {
"multiFactorCode": "123456",
"newPassword": "string",
"oldPassword": "string"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\ChangePassword\ChangePasswordRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\ChangePassword\ChangePasswordRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// ChangePasswordRequestBody to learn how to construct a valid instance
$body = new ChangePasswordRequestBody(/* TODO: ... */);

$request = (new ChangePasswordRequest(
body: $body
));
$response = $client->user()->changePassword($request);

var_dump($response->getBody();

Auf dieser Seite